Changeset 238 for ThirdParty/Blas


Ignore:
Timestamp:
Mar 6, 2007 9:54:53 AM (14 years ago)
Author:
andreasw
Message:

use test -r to check existence of libtool script, not AC_CHECK_FILE, since that does not seem to work for cross compilation

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r235 r238  
    48014801
    48024802LIBTOOL=
    4803 echo "$as_me:$LINENO: checking for ../libtool" >&5
    4804 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    4805 if test "${ac_cv_file____libtool+set}" = set; then
    4806   echo $ECHO_N "(cached) $ECHO_C" >&6
    4807 else
    4808   test "$cross_compiling" = yes &&
    4809   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    4810 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    4811    { (exit 1); exit 1; }; }
    4812 if test -r "../libtool"; then
    4813   ac_cv_file____libtool=yes
    4814 else
    4815   ac_cv_file____libtool=no
    4816 fi
    4817 fi
    4818 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    4819 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    4820 if test $ac_cv_file____libtool = yes; then
     4803if test -r ../libtool; then
    48214804  coin_config_dir=..
    4822                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    4823 fi
    4824 
     4805  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     4806fi
    48254807if test "x$LIBTOOL" = x; then
    4826   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    4827 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    4828 if test "${ac_cv_file_______libtool+set}" = set; then
    4829   echo $ECHO_N "(cached) $ECHO_C" >&6
    4830 else
    4831   test "$cross_compiling" = yes &&
    4832   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    4833 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    4834    { (exit 1); exit 1; }; }
    4835 if test -r "../../libtool"; then
    4836   ac_cv_file_______libtool=yes
    4837 else
    4838   ac_cv_file_______libtool=no
    4839 fi
    4840 fi
    4841 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    4842 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    4843 if test $ac_cv_file_______libtool = yes; then
    4844   coin_config_dir=../..
    4845                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    4846 fi
    4847 
    4848 fi
     4808  if test -r ../../libtool; then
     4809    coin_config_dir=../..
     4810    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     4811  fi
     4812fi
     4813
     4814# AC_CHECK_FILE seems to complain when doing cross compilation...(?!??)
     4815#AC_CHECK_FILE([../libtool],
     4816#              [coin_config_dir=..
     4817#               LIBTOOL='$(SHELL) $(top_builddir)/../libtool'])
     4818#if test "x$LIBTOOL" = x; then
     4819#  AC_CHECK_FILE([../../libtool],
     4820#                [coin_config_dir=../..
     4821#                 LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'])
     4822#fi
    48494823# if test "x$LIBTOOL" = x; then
    48504824#   AC_CHECK_FILE([../../../libtool],
     
    54045378*-*-irix6*)
    54055379  # Find out which ABI we are using.
    5406   echo '#line 5406 "configure"' > conftest.$ac_ext
     5380  echo '#line 5380 "configure"' > conftest.$ac_ext
    54075381  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54085382  (eval $ac_compile) 2>&5
     
    78337807   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78347808   -e 's:$: $lt_compiler_flag:'`
    7835    (eval echo "\"\$as_me:7835: $lt_compile\"" >&5)
     7809   (eval echo "\"\$as_me:7809: $lt_compile\"" >&5)
    78367810   (eval "$lt_compile" 2>conftest.err)
    78377811   ac_status=$?
    78387812   cat conftest.err >&5
    7839    echo "$as_me:7839: \$? = $ac_status" >&5
     7813   echo "$as_me:7813: \$? = $ac_status" >&5
    78407814   if (exit $ac_status) && test -s "$ac_outfile"; then
    78417815     # The compiler can only warn and ignore the option if not recognized
     
    81018075   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81028076   -e 's:$: $lt_compiler_flag:'`
    8103    (eval echo "\"\$as_me:8103: $lt_compile\"" >&5)
     8077   (eval echo "\"\$as_me:8077: $lt_compile\"" >&5)
    81048078   (eval "$lt_compile" 2>conftest.err)
    81058079   ac_status=$?
    81068080   cat conftest.err >&5
    8107    echo "$as_me:8107: \$? = $ac_status" >&5
     8081   echo "$as_me:8081: \$? = $ac_status" >&5
    81088082   if (exit $ac_status) && test -s "$ac_outfile"; then
    81098083     # The compiler can only warn and ignore the option if not recognized
     
    82058179   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82068180   -e 's:$: $lt_compiler_flag:'`
    8207    (eval echo "\"\$as_me:8207: $lt_compile\"" >&5)
     8181   (eval echo "\"\$as_me:8181: $lt_compile\"" >&5)
    82088182   (eval "$lt_compile" 2>out/conftest.err)
    82098183   ac_status=$?
    82108184   cat out/conftest.err >&5
    8211    echo "$as_me:8211: \$? = $ac_status" >&5
     8185   echo "$as_me:8185: \$? = $ac_status" >&5
    82128186   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82138187   then
     
    1055010524  lt_status=$lt_dlunknown
    1055110525  cat > conftest.$ac_ext <<EOF
    10552 #line 10552 "configure"
     10526#line 10526 "configure"
    1055310527#include "confdefs.h"
    1055410528
     
    1065010624  lt_status=$lt_dlunknown
    1065110625  cat > conftest.$ac_ext <<EOF
    10652 #line 10652 "configure"
     10626#line 10626 "configure"
    1065310627#include "confdefs.h"
    1065410628
     
    1299412968   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299512969   -e 's:$: $lt_compiler_flag:'`
    12996    (eval echo "\"\$as_me:12996: $lt_compile\"" >&5)
     12970   (eval echo "\"\$as_me:12970: $lt_compile\"" >&5)
    1299712971   (eval "$lt_compile" 2>conftest.err)
    1299812972   ac_status=$?
    1299912973   cat conftest.err >&5
    13000    echo "$as_me:13000: \$? = $ac_status" >&5
     12974   echo "$as_me:12974: \$? = $ac_status" >&5
    1300112975   if (exit $ac_status) && test -s "$ac_outfile"; then
    1300212976     # The compiler can only warn and ignore the option if not recognized
     
    1309813072   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1309913073   -e 's:$: $lt_compiler_flag:'`
    13100    (eval echo "\"\$as_me:13100: $lt_compile\"" >&5)
     13074   (eval echo "\"\$as_me:13074: $lt_compile\"" >&5)
    1310113075   (eval "$lt_compile" 2>out/conftest.err)
    1310213076   ac_status=$?
    1310313077   cat out/conftest.err >&5
    13104    echo "$as_me:13104: \$? = $ac_status" >&5
     13078   echo "$as_me:13078: \$? = $ac_status" >&5
    1310513079   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310613080   then
     
    1466814642   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466914643   -e 's:$: $lt_compiler_flag:'`
    14670    (eval echo "\"\$as_me:14670: $lt_compile\"" >&5)
     14644   (eval echo "\"\$as_me:14644: $lt_compile\"" >&5)
    1467114645   (eval "$lt_compile" 2>conftest.err)
    1467214646   ac_status=$?
    1467314647   cat conftest.err >&5
    14674    echo "$as_me:14674: \$? = $ac_status" >&5
     14648   echo "$as_me:14648: \$? = $ac_status" >&5
    1467514649   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467614650     # The compiler can only warn and ignore the option if not recognized
     
    1477214746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1477314747   -e 's:$: $lt_compiler_flag:'`
    14774    (eval echo "\"\$as_me:14774: $lt_compile\"" >&5)
     14748   (eval echo "\"\$as_me:14748: $lt_compile\"" >&5)
    1477514749   (eval "$lt_compile" 2>out/conftest.err)
    1477614750   ac_status=$?
    1477714751   cat out/conftest.err >&5
    14778    echo "$as_me:14778: \$? = $ac_status" >&5
     14752   echo "$as_me:14752: \$? = $ac_status" >&5
    1477914753   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1478014754   then
     
    1697916953   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1698016954   -e 's:$: $lt_compiler_flag:'`
    16981    (eval echo "\"\$as_me:16981: $lt_compile\"" >&5)
     16955   (eval echo "\"\$as_me:16955: $lt_compile\"" >&5)
    1698216956   (eval "$lt_compile" 2>conftest.err)
    1698316957   ac_status=$?
    1698416958   cat conftest.err >&5
    16985    echo "$as_me:16985: \$? = $ac_status" >&5
     16959   echo "$as_me:16959: \$? = $ac_status" >&5
    1698616960   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698716961     # The compiler can only warn and ignore the option if not recognized
     
    1724717221   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724817222   -e 's:$: $lt_compiler_flag:'`
    17249    (eval echo "\"\$as_me:17249: $lt_compile\"" >&5)
     17223   (eval echo "\"\$as_me:17223: $lt_compile\"" >&5)
    1725017224   (eval "$lt_compile" 2>conftest.err)
    1725117225   ac_status=$?
    1725217226   cat conftest.err >&5
    17253    echo "$as_me:17253: \$? = $ac_status" >&5
     17227   echo "$as_me:17227: \$? = $ac_status" >&5
    1725417228   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725517229     # The compiler can only warn and ignore the option if not recognized
     
    1735117325   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735217326   -e 's:$: $lt_compiler_flag:'`
    17353    (eval echo "\"\$as_me:17353: $lt_compile\"" >&5)
     17327   (eval echo "\"\$as_me:17327: $lt_compile\"" >&5)
    1735417328   (eval "$lt_compile" 2>out/conftest.err)
    1735517329   ac_status=$?
    1735617330   cat out/conftest.err >&5
    17357    echo "$as_me:17357: \$? = $ac_status" >&5
     17331   echo "$as_me:17331: \$? = $ac_status" >&5
    1735817332   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1735917333   then
     
    2025620230ac_save_FFLAGS=$FFLAGS
    2025720231FFLAGS="$FFLAGS $ac_verb"
    20258 (eval echo $as_me:20258: \"$ac_link\") >&5
     20232(eval echo $as_me:20232: \"$ac_link\") >&5
    2025920233ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2026020234echo "$ac_f77_v_output" >&5
     
    2033420308ac_save_FFLAGS=$FFLAGS
    2033520309FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20336 (eval echo $as_me:20336: \"$ac_link\") >&5
     20310(eval echo $as_me:20310: \"$ac_link\") >&5
    2033720311ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2033820312echo "$ac_f77_v_output" >&5
Note: See TracChangeset for help on using the changeset viewer.